Dynamiq
Apps

Get a trigger event

Returns a single trigger event, including its raw payload.

GET
/v1/apps/{app_id}/triggers/{trigger_id}/events/{event_id}

Authorization

AuthorizationBearer <token>

Organization or project Access Key created in the Dynamiq console. Used for deployed-app (Runs API), AI Gateway, traces collector, and management API requests. Send as Authorization: Bearer <access-key>.

In: header

Path Parameters

app_id*string

App UUID.

trigger_id*string

Trigger UUID.

event_id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/triggers/497f6eca-6276-4993-bfeb-53cbbbba6f08/events/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "payload": null,
    "status": "accepted",
    "received_at": "2019-08-24T14:15:22Z",
    "trigger_id": "5727dbbb-3b26-4abe-aec6-181eabbdb21c",
    "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec"
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Unauthorized"
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Not Found"
  }
}